Bug 144978 - "yum install <pkg>" does not show which repository package "<pkg>" found in
"yum install <pkg>" does not show which repository package "<pkg>" found in
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 05:31 EST by James Hunt
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 11:32:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2005-01-13 05:31:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
"yum install" and "yum update" do not show which repository a match is
found in.

If, like me, you are totally paranoid and like to be kept informed
about what the computer is doing, it would be *VERY* useful to know
which repo a particular package is resolved in.

Version-Release number of selected component (if applicable):
yum-2.1.12-0.fc3

How reproducible:
Always

Steps to Reproduce:
1. yum install <some_existing_but_not_installed_package>
2. observe yum output

    

Actual Results:  Output shows:

1) name of package to be installed
2) package version
3) package architecture (which most users don't really care about).

Expected Results:  I expect to be told, "package <x> (resolved from
repository <y>) is about to be installed. OK? [y/N]"

Additional info:

"yum list" and yum search" *DO* show the information, but I don't want
to have to run yum twice (it's slow enough as it is...)

If you fix this problem, please also apply the same logic to any
dependencies that need to be resolved as a result of installing the
initial package.

Thanks in advance,

James.
Comment 1 Seth Vidal 2005-01-14 11:32:03 EST
added and checked into cvs

Note You need to log in before you can comment on or make changes to this bug.